/* $Id: reset.c,v 1.2 2005/06/16 13:46:21 cgoh Exp $
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Reset the machine.
 *
 * Copyright (C) Equator Technologies
 */
#include <linux/kernel.h>
#include <linux/types.h>
#include <linux/reboot.h>

#include <asm/processor.h>
#include <asm/debug.h>

#include <libdev/etiProcessor.h>
#include <libdev/mapca/vf_piomap.h>



void machine_restart(char *command)
{
	procColdReboot( );
}

void machine_halt(void)
{
	procHalt(0);
}

void machine_power_off(void)
{
	procHalt(0);
}


/*
 * Emacs specific local variables
 *
 * Local Variables:
 * mode: C
 * c-tab-always-indent: t
 * c-basic-offset: 8
 * End:
 *
 */


